<div class="center">


<p>This Privacy Policy governs the manner in which {site_name} collects, uses, maintains and discloses information collected from users (each, a "User") of the <a href="{url_root}">{url_root}</a> website ("Site"). This privacy policy applies to the Site and all products and services offered by {site_name}.</p>
<p>&nbsp;</p>

<p><strong>Personal identification information</strong></p>
<p>We may collect personally identification information from Users in a variety of ways, including, but not limited to, when Users visit our site, register on the site, subscribe to the newsletter, fill out a form, and in connection with other activities, services, features or resources we make available on our Site. Users may be asked for, as appropriate, name, email address, mailing address. Users may, however, visit our Site anonymously. We will collect personal identification information from Users only if they voluntarily submit such information to us. Users can always refuse to supply personally identification information, except that it may prevent them from engaging in certain Site related activities.</p>
<p>&nbsp;</p>

<p><strong>Non-personal identification information</strong></p>
<p>We may collect non-personal identification information about Users whenever they interact with our Site. Non-personal identification information may include the browser name, the type of computer and technical information about Users means of connection to our Site, such as the operating system and the Internet service providers utilized and other similar information.</p>
<p>&nbsp;</p>

<p><strong>Web browser cookies</strong></p>
<p>Our Site may use "cookies" to enhance User experience. User's web browser places cookies on their hard drive for record-keeping purposes and sometimes to track information about them. User may choose to set their web browser to refuse cookies, or to alert you when cookies are being sent. If they do so, note that some parts of the Site may not function properly.</p>
<p>&nbsp;</p>

<p><strong>How we use collected information</strong></p>
<p>{site_name} collects and uses Users personal information for the following purposes:</p>
<ul>
<li><em>- To personalize user experience</em><br />
    We may use information in the aggregate to understand how our Users as a group use the services and resources provided on our Site.</li>
<li><em>- To improve our Site</em><br />
    We continually strive to improve our website offerings based on the information and feedback we receive from you.</li>
<li><em>- To improve customer service</em><br />
    Your information helps us to more effectively respond to your customer service requests and support needs.</li>
<li><em>- To send periodic emails</em><br />
The email address Users provide for order processing, will only be used to send them information and updates pertaining to their order. It may also be used to respond to their inquiries, and/or other requests or questions. If User decides to opt-in to our mailing list, they will receive emails that may include company news, updates, related product or service information, etc. If at any time the User would like to unsubscribe from receiving future emails, we include detailed unsubscribe instructions at the bottom of each email or User may contact us via our Site.</li>
</ul>
<p>&nbsp;</p>

<p><strong>How we protect your information</strong></p>
<p>We adopt appropriate data collection, storage and processing practices and security measures to protect against unauthorized access, alteration, disclosure or destruction of your personal information, username, password, transaction information and data stored on our Site.</p>
<p>&nbsp;</p>

<p><strong>Sharing your personal information</strong></p>
<p>We do not sell, trade, or rent Users personal identification information to others. We may share generic aggregated demographic information not linked to any personal identification information regarding visitors and users with our business partners, trusted affiliates and advertisers for the purposes outlined above.We may use third party service providers to help us operate our business and the Site or administer activities on our behalf, such as sending out newsletters or surveys. We may share your information with these third parties for those limited purposes provided that you have given us your permission.</p>
<p>&nbsp;</p>

<p><strong>Third party websites</strong></p>
<p>Users may find advertising or other content on our Site that link to the sites and services of our partners, suppliers, advertisers, sponsors, licensors and other third parties. We do not control the content or links that appear on these sites and are not responsible for the practices employed by websites linked to or from our Site. In addition, these sites or services, including their content and links, may be constantly changing. These sites and services may have their own privacy policies and customer service policies. Browsing and interaction on any other website, including websites which have a link to our Site, is subject to that website's own terms and policies.</p>
<p>&nbsp;</p>

<p><strong>Advertising</strong></p>
<p>Ads appearing on our site may be delivered to Users by advertising partners, who may set cookies. These cookies allow the ad server to recognize your computer each time they send you an online advertisement to compile non personal identification information about you or others who use your computer. This information allows ad networks to, among other things, deliver targeted advertisements that they believe will be of most interest to you. This privacy policy does not cover the use of cookies by any advertisers.</p>
<p>&nbsp;</p>

<p><strong>Google Adsense</strong></p>
<p>Some of the ads may be served by Google. Google's use of the DART cookie enables it to serve ads to Users based on their visit to our Site and other sites on the Internet. DART uses "non personally identifiable information" and does NOT track personal information about you, such as your name, email address, physical address, etc. You may opt out of the use of the DART cookie by visiting the Google ad and content network privacy policy at <a href="http://www.google.com/privacy_ads.html">http://www.google.com/privacy_ads.html</a></p>
<p>&nbsp;</p>

<p><strong>Compliance with children's online privacy protection act</strong></p>
<p>Protecting the privacy of the very young is especially important. For that reason, we never collect or maintain information at our Site from those we actually know are under 13, and no part of our website is structured to attract anyone under 13.</p>
<p>&nbsp;</p>

<p><strong>Changes to this privacy policy</strong></p>
<p>{site_name} has the discretion to update this privacy policy at any time. When we do, we will revise the updated date at the bottom of this page. We encourage Users to frequently check this page for any changes to stay informed about how we are helping to protect the personal information we collect. You acknowledge and agree that it is your responsibility to review this privacy policy periodically and become aware of modifications.</p>
<p>&nbsp;</p>

<p><strong>Your acceptance of these terms</strong></p>
<p>By using this Site, you signify your acceptance of this policy and <a href="{{ $design->url('page','main','terms') }}">terms of service</a>.<br />
If you do not agree to this policy, please do not use our Site. Your continued use of the Site following the posting of changes to this policy will be deemed your acceptance of those changes.</p>
<p>&nbsp;</p>

<p><strong>Contact us</strong></p>
<p>If you have any questions about this policy<br />
privacy practices of this site, please contact us via our &quot;<a href="{{ $design->url('contact','contact','index') }}" title="Contact Us">contact form</a>&quot;</p>
<p>&nbsp;</p>

<p>This document was last updated on January 26, 2012.</p>


</div>
